/**
 * ===========================================
 * LibFonts : a free Java font reading library
 * ===========================================
 *
 * Project Info:  http://reporting.pentaho.org/libfonts/
 *
 * (C) Copyright 2006-2008, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * FontStorage.java
 * ------------
 */
package org.pentaho.reporting.libraries.fonts.registry;

/**
 * The base for application specific font managment.
 *
 * @author Thomas Morgner
 */
public interface FontStorage
{
  public FontRegistry getFontRegistry();

  public FontMetrics getFontMetrics(final FontIdentifier record,
                                    final FontContext context);

  /**
   * Mark the processing to be finished; commit any caches to the global storage,
   * if applicable, clean up and return into a sane state.
   */
  public void commit();
}
