/**
 * ===========================================
 * LibFonts : a free Java font reading library
 * ===========================================
 *
 * Project Info:  http://reporting.pentaho.org/libfonts/
 *
 * (C) Copyright 2006-2008, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * LanguageClassifier.java
 * ------------
 */
package org.pentaho.reporting.libraries.fonts.text;

/**
 * Todo: Derive the language from the characters. (See "scripts.txt" in the
 * unicode standard).
 *
 * The language code returned by this class is an integer, which maps to one
 * of the ISO 15924 numerical language codes. If there is an Unicode script
 * tag, for which there exists no corresponding ISO code, then negative numbers
 * are assigned in descending order.
 *
 * @author Thomas Morgner
 */
public interface LanguageClassifier extends ClassificationProducer
{
  public int getScript (int codepoint);
}
